## This file was auto-generated by CloudCoreo CLI
## This file was automatically generated using the CloudCoreo CLI
##
## This config.rb file exists to create and maintain services not related to compute.
## for example, a VPC might be maintained using:
##
## coreo_aws_vpc_vpc "my-vpc" do
##   action :sustain
##   cidr "12.0.0.0/16"
##   internet_gateway true
## end
##

coreo_aws_ec2_securityGroups "${RDS_NAME}" do
  action :sustain
  description "Security group for the rds server"
  vpc "${VPC_NAME}"
  allows [ 
          { 
            :direction => :ingress,
            :protocol => :tcp,
            :ports => [3306],
            :cidrs => ["0.0.0.0/0"]
          }
    ]
end

coreo_aws_rds_instance "${RDS_NAME}" do
  action :sustain
  storage_gb ${MYSQL_STORAGE_GB}
  engine "mysql"
  engine_version "5.6.17"
  master_username "${MYSQL_USERNAME}"
  master_user_password "${MYSQL_PASSWORD}"
  security_groups ["${RDS_NAME}"]
  subnet "${MYSQL_SUBNET}"
  backup_retention_period_days ${MYSQL_BACKUP_RETENTION}
  multi_az ${MYSQL_MULTI_AZ}
  auto_minor_version_upgrade true
  size "${MYSQL_DB_SIZE}"
  parameters ${MYSQL_DB_PARAMETERS}
end

# coreo_aws_route53_record "${RDS_NAME}.db" do
#   action :sustain
#   type "CNAME"
#   zone "${ZONE}"
#   values ["STACK::coreo_aws_rds_instance.${RDS_NAME}.endpoint"]
# end
